package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 命题任务选择题库试卷相关文件表
 * </p>
 *
 * @author xf
 * @since 2024-02-29
 */
@TableName("exam_task_paper_data")
@ApiModel(value="ExamTaskPaperData对象", description="命题任务选择题库试卷相关文件表")
public class ExamTaskPaperData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "考试ID")
    @MppMultiId(value = "exam_id")
    private Long examId;

    @ApiModelProperty(value = "试卷编号")
    @MppMultiId(value = "paper_number")
    private String paperNumber;

    @ApiModelProperty(value = "题库试卷ID")
    @MppMultiId(value = "paper_id")
    private Long paperId;

    @ApiModelProperty(value = "题库试卷数据包地址（zip）")
    private String dataPacketPath;

    @ApiModelProperty(value = "试卷结构内容（从paper.json解析）")
    private String paperJson;

    @ApiModelProperty(value = "试卷答案内容（从answer.json解析）")
    private String answerJson;

    @ApiModelProperty(value = "试卷pdf文件地址（paper.pdf上传地址）")
    private String paperPdf;

    @ApiModelProperty(value = "标答pdf文件地址（answer.pdf上传地址）")
    private String answerPdf;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }
    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }
    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }
    public String getDataPacketPath() {
        return dataPacketPath;
    }

    public void setDataPacketPath(String dataPacketPath) {
        this.dataPacketPath = dataPacketPath;
    }
    public String getPaperJson() {
        return paperJson;
    }

    public void setPaperJson(String paperJson) {
        this.paperJson = paperJson;
    }
    public String getAnswerJson() {
        return answerJson;
    }

    public void setAnswerJson(String answerJson) {
        this.answerJson = answerJson;
    }
    public String getPaperPdf() {
        return paperPdf;
    }

    public void setPaperPdf(String paperPdf) {
        this.paperPdf = paperPdf;
    }
    public String getAnswerPdf() {
        return answerPdf;
    }

    public void setAnswerPdf(String answerPdf) {
        this.answerPdf = answerPdf;
    }

    @Override
    public String toString() {
        return "ExamTaskPaperData{" +
            "examId=" + examId +
            ", paperNumber=" + paperNumber +
            ", paperId=" + paperId +
            ", dataPacketPath=" + dataPacketPath +
            ", paperJson=" + paperJson +
            ", answerJson=" + answerJson +
            ", paperPdf=" + paperPdf +
            ", answerPdf=" + answerPdf +
        "}";
    }
}
